Name:           glite-px-proxyrenewal
Version:        1.3.34
Release:        1%{?dist}
Summary:        gLite proxyrenewal renews existing proxy certificates for grid users

License:        ASL 2.0
Url:            http://glite.cern.ch
Source:         http://scientific.zcu.cz/emi/emi.px.proxyrenewal/%{name}-%{version}.tar.gz
# https://github.com/CESNET/proxyrenewal/commit/4f38d7c6d582c126b6ea67a7aca97348db22ac6a
Patch0:         daemon-location.patch
# https://github.com/CESNET/proxyrenewal/commit/dce1f3a3c8e888ed2ba359fe2c7b63da87c76de1#diff-1
Patch1:         parallel.patch

BuildRequires:  globus-gssapi-gsi-devel
BuildRequires:  libtool
BuildRequires:  myproxy-devel
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig
BuildRequires:  systemd
BuildRequires:  voms-devel
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
Provides:       glite-px-proxyrenewal-progs = %{version}-%{release}

%description
The daemon is responsible for secure and controlled way of periodical renewal
of user proxy certificates. Its primary goal is to support long-time jobs
running on the grid.


%package        libs
Summary:        C/C++ library for gLite proxyrenewal

%description    libs
This package contains C/C++ library for gLite proxyrenewal.


%package        devel
Summary:        Development files for gLite proxyrenewal library
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite
proxyrenewal library.


%prep
%setup -q
%patch0 -p2
%patch1 -p2


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --module px.proxyrenewal
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
# documentation installed by %%doc
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/glite
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/spool/glite-renewd


%pre
getent group glite >/dev/null || groupadd -r glite
getent passwd glite >/dev/null || useradd -r -g glite -d %{_localstatedir}/lib/glite -c "gLite user" glite
exit 0


%post
if [ $1 -eq 1 ] ; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable glite-proxy-renewd.service > /dev/null 2>&1 || :
    /bin/systemctl stop glite-proxy-renewd.service > /dev/null 2>&1 || :
fi


%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart glite-proxy-renewd.service >/dev/null 2>&1 || :
fi


%post libs -p /sbin/ldconfig


%postun libs -p /sbin/ldconfig


%files
%dir %attr(0755, glite, glite) %{_localstatedir}/lib/glite
%dir %attr(0700, glite, glite) %{_localstatedir}/spool/glite-renewd
%doc LICENSE project/ChangeLog README config/glite-px
%config(noreplace missingok) %{_sysconfdir}/sysconfig/glite-px
%{_unitdir}/glite-proxy-renewd.service
%{_bindir}/glite-proxy-renew
%{_sbindir}/glite-proxy-renewd
%{_sbindir}/glite-proxy-setup
%{_mandir}/man1/glite-proxy-renew.1.gz
%{_mandir}/man8/glite-proxy-renewd.8.gz

%files libs
%doc LICENSE project/ChangeLog
%{_libdir}/libglite_security_proxyrenewal.so.1
%{_libdir}/libglite_security_proxyrenewal.so.1.*
%{_libdir}/libglite_security_proxyrenewal_core.so.1
%{_libdir}/libglite_security_proxyrenewal_core.so.1.*

%files devel
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/security/
%dir %{_includedir}/glite/security/proxyrenewal/
%{_includedir}/glite/security/proxyrenewal/*.h
%{_libdir}/libglite_security_proxyrenewal.so
%{_libdir}/libglite_security_proxyrenewal_core.so


%changelog
* Mon Aug 28 2013 František Dvořák <valtri@civ.zcu.cz> - 1.3.34-1
- Initial package
